/*
 * Output.cpp
 *
 *  Created on: 15 мая 2015 г.
 *      Author: vasilesk
 */

#include <string>
#include <iostream>
#include <fstream>
#include "Output.h"

using namespace std;

Output_processing::Output_processing ()
{
	output_file.open("output.html");
}

Output_processing::~Output_processing ()
{
	output_file.close();
}

void Output_processing::write (std::string str_to_write)
{
	output_file << str_to_write;
}

void Output_processing::write (wchar_t* str_to_write)
{
	wstring ws(str_to_write);
	string str(ws.begin(), ws.end());
	output_file << str;
}

void Output_processing::write_without_quotes (wchar_t *str_to_write)
{
	wstring ws(str_to_write);
	string str(ws.begin(), ws.end());
	output_file << str.substr(1,str.length()-2);

}

void Output_processing::push_unpaired_tag (std::string tag_to_push)
{
	//tag_buffer = str_to_set;
	tag_stack.push(tag_to_push);
}

void Output_processing::push_paired_tag (std::string tag_to_push)
{
	//tag_buffer = str_to_set;
	tag_stack.push(tag_to_push);
	tag_stack.push(tag_to_push);
}

void Output_processing::set_text_buffer (std::string str_to_set)
{
	text_buffer = str_to_set;
}

void Output_processing::write_tag_buffer ()
{
	tag_buffer = tag_stack.top();
	tag_stack.pop();
	output_file << tag_buffer;
}

void Output_processing::write_text_buffer ()
{
	output_file << text_buffer;
}



