/*
 * Output.h
 *
 *  Created on: 15 мая 2015 г.
 *      Author: vasilesk
 */

#ifndef OUTPUT_H_
#define OUTPUT_H_

#include <string>
#include <iostream>
#include <fstream>
#include <stack>

class Output_processing
{
public:
	Output_processing ();
	~Output_processing ();
	void write (std::string str_to_write);
	void write (wchar_t *str_to_write);
	void write_without_quotes (wchar_t *str_to_write);
	void push_unpaired_tag (std::string tag_to_push);
	void push_paired_tag (std::string tag_to_push);
	void set_text_buffer (std::string str_to_set);
	void write_tag_buffer ();
	void write_text_buffer ();
private:
	std::ofstream output_file;
	std::string tag_buffer;
	std::string text_buffer;
	std::stack<std::string> tag_stack;
	//void push_tag;
};

#endif /* OUTPUT_H_ */
